/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.dao;

import java.util.List;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oa.entity.OaNotifyRecord;

/**
 * 通知通告记录DAO接口
 * @author jeeplus
 * @version 2014-05-16
 */
@MyBatisDao
public interface OaNotifyRecordDao extends CrudDao<OaNotifyRecord> {

	/**
	 * 插入通知记录
	 * @param oaNotifyRecordList
	 * @return
	 */
	public int insertAll(List<OaNotifyRecord> oaNotifyRecordList);
	/**
	 * 插入通知记录
	 * @param oaNotifyRecordOfficeList
	 * @return
	 */
	public int insertOfficeAll(List<OaNotifyRecord> oaNotifyRecordOfficeList);

	/**
	 * 根据通知ID删除通知记录
	 * @param oaNotifyId 通知ID
	 * @return
	 */
	public int deleteByOaNotifyId(String oaNotifyId);


	//PC端使用
	public List<OaNotifyRecord> findList2(OaNotifyRecord oaNotifyRecord);
	//PC端使用
	public List<OaNotifyRecord> findOffices(OaNotifyRecord oaNotifyRecord);
	public List<OaNotifyRecord> findUsers(OaNotifyRecord oaNotifyRecord);


	 public List<OaNotifyRecord> findUserList(OaNotifyRecord oaNotifyRecord);
	
}

   


