/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workattendance.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workattendance.entity.WorkAttendanceRuleRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 通知通告记录DAO接口
 * @author jeeplus
 * @version 2014-05-16
 */
@MyBatisDao
public interface WorkAttendanceRuleRecordDao extends CrudDao<WorkAttendanceRuleRecord> {

	/**
	 * 插入通知记录
	 * @param WorkAttendanceRuleRecordList
	 * @return
	 */
	public int insertAll(List<WorkAttendanceRuleRecord> WorkAttendanceRuleRecordList);
	/**
	 * 插入通知记录
	 * @param WorkAttendanceRuleRecordOfficeList
	 * @return
	 */
	public int insertOfficeAll(List<WorkAttendanceRuleRecord> WorkAttendanceRuleRecordOfficeList);

	/**
	 * 根据通知ID删除通知记录
	 * @param workAttendanceRuleRecord 通知ID
	 * @return
	 */
	public int deleteByworkAttendanceRuleId(WorkAttendanceRuleRecord workAttendanceRuleRecord);

	public List<WorkAttendanceRuleRecord> findUsers(WorkAttendanceRuleRecord WorkAttendanceRuleRecord);
	public List<WorkAttendanceRuleRecord> findOffices(WorkAttendanceRuleRecord WorkAttendanceRuleRecord);
	public int findUserCount(@Param("id") String id, @Param("userId") String userId, @Param("branchOffice") String branchOffice);
	public int findOfficeCount(@Param("id") String id, @Param("officeId") String officeId, @Param("branchOffice") String branchOffice);
	public void deleteByRuleId(@Param("ruleId") String ruleId);

}

   


