/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workclientinfo.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 添加附件Entity
 * @author mapengbo
 * @version 2017-10-12
 */
public class WorkClientAttachment extends DataEntity<WorkClientAttachment> {
	
	private static final long serialVersionUID = 1L;
	private String url;		// 附件地址
	private String type;		// 附件类型
	private String attachmentUser;		// 上传人
	private String attachmentName;		// 文件名
	private String attachmentId; //外联 客户编号
	private String attachmentFlag; //附件类别
	private String companyId; //附件类别

	public WorkClientAttachment() {
		super();
	}

	public WorkClientAttachment(String id){
		super(id);
	}

	@ExcelField(title="附件地址", align=2, sort=7)
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
	
	@ExcelField(title="附件类型", align=2, sort=8)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@ExcelField(title="上传人", align=2, sort=10)
	public String getAttachmentUser() {
		return attachmentUser;
	}

	public void setAttachmentUser(String attachmentUser) {
		this.attachmentUser = attachmentUser;
	}
	
	@ExcelField(title="文件名", align=2, sort=11)
	public String getAttachmentName() {
		return attachmentName;
	}


    public void setAttachmentName(String attachmentName) {
		this.attachmentName = attachmentName;
	}

	public String getAttachmentId() {
		return attachmentId;
	}

	public void setAttachmentId(String attachmentId) {
		this.attachmentId = attachmentId;
	}

	public String getAttachmentFlag() {
		return attachmentFlag;
	}

	public void setAttachmentFlag(String attachmentFlag) {
		this.attachmentFlag = attachmentFlag;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
}