/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexample.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workexample.entity.WorkExample;

import java.math.BigDecimal;

/**
 * 案例DAO接口
 * @author ssrh
 * @version 2018-08-27
 */
@MyBatisDao
public interface WorkExampleDao extends CrudDao<WorkExample> {

    /**
     * 根据类型获取平均值
     * @param workExample
     * @return
     */
    public WorkExample getByTypes(WorkExample workExample);
    public BigDecimal getSumBuildScale(WorkExample workExample);
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkExample workExample);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkExample getByProcessInstanceId(String processInstanceId);

}