/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workinvoicereturn.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workinvoicereturn.entity.WorkInvoiceReturn;
import org.apache.ibatis.annotations.Param;

/**
 * 退票管理DAO接口
 * @author lw
 * @version 2018-06-15
 */
@MyBatisDao
public interface WorkInvoiceReturnDao extends CrudDao<WorkInvoiceReturn> {
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkInvoiceReturn workInvoiceReturn);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkInvoiceReturn getByProcessInstanceId(String processInstanceId);

    int countByNumAndComp(@Param("invoiceNum") String invoiceNum, @Param("comId") String comId);
}