/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workovertime.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.leaveapply.entity.LeaveDetail;
import com.jeeplus.modules.workovertime.entity.WorkOvertime;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 加班申请DAO接口
 * @author ssrh
 * @version 2018-09-04
 */
@MyBatisDao
public interface WorkOvertimeDao extends CrudDao<WorkOvertime> {
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkOvertime workOvertime);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkOvertime getByProcessInstanceId(String processInstanceId);
    /**
     * 根据时间和档案id查询数据
     * @param staffId,time
     * @return
     */
    public WorkOvertime getByStaffIdAndTime(@Param("staffId")String staffId, @Param("time")String time);

    List<WorkOvertime> findListValidateTime(String staffId);
}