/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursementcount.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * 报销统计Entity
 * @author 陈玉平
 * @version 2018-07-03
 */
public class WorkInvoiceInfo extends ActEntity<WorkInvoiceInfo> {

	private static final long serialVersionUID = 1L;
	private String invoiceCode;		// 发票代码
	private String number;		// 发票编号
	private String totalMoney;//价税合计
	private String officeId;	// 提交人的部门编号
	private String officeName;
	private String incomeMoney;// 登记金额
	private String date;		// 开票日期
	private String state;		// 发票状态
	private String companyId; //提交人的公司编号
	private String backSign;//被退标记
	private String clientName;//实际开票单位
	private  String contractNum;//合同编号
	private String type;
	private String contractName;//合同名称
	private String invoiceCount;
	private BigDecimal invoiceMoneys;
	private BigDecimal incomeMoneys;
	private String check;
	private String totalMoneyStr;
	private String incomeMoneyStr;
	@ExcelField(title="价税合计", align=2, sort=3)
	public String getTotalMoneyStr() {
		return UserUtils.getDecimalFormat(new BigDecimal(totalMoney));
	}
	@ExcelField(title="累计登记金额", align=2, sort=4)
	public String getIncomeMoneyStr() {
		return UserUtils.getDecimalFormat(new BigDecimal(incomeMoney));
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getInvoiceCount() {
		return invoiceCount;
	}

	public void setInvoiceCount(String invoiceCount) {
		this.invoiceCount = invoiceCount;
	}

	public BigDecimal getInvoiceMoneys() {
		return invoiceMoneys;
	}

	public void setInvoiceMoneys(BigDecimal invoiceMoneys) {
		this.invoiceMoneys = invoiceMoneys;
	}

	public BigDecimal getIncomeMoneys() {
		return incomeMoneys;
	}

	public void setIncomeMoneys(BigDecimal incomeMoneys) {
		this.incomeMoneys = incomeMoneys;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	@ExcelField(title="发票代码", align=2, sort=1)
	public String getInvoiceCode() {
		return invoiceCode;
	}

	public void setInvoiceCode(String invoiceCode) {
		this.invoiceCode = invoiceCode;
	}
	@ExcelField(title="发票编号", align=2, sort=2)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public String getTotalMoney() {
		return totalMoney;
	}

	public void setTotalMoney(String totalMoney) {
		this.totalMoney = totalMoney;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getIncomeMoney() {
		return incomeMoney;
	}

	public void setIncomeMoney(String incomeMoney) {
		this.incomeMoney = incomeMoney;
	}
	@ExcelField(title="开票日期", align=2, sort=5)
	public String getDate() {
		return date;
	}

	public String getCheck() {
		return check;
	}

	public void setCheck(String check) {
		this.check = check;
	}

	public void setDate(String date) {
		this.date = date;
	}
	@ExcelField(title="发票状态", align=2, sort=7)
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	@ExcelField(title="被退标记", align=2, sort=8)
	public String getBackSign() {
		return backSign;
	}

	public void setBackSign(String backSign) {
		this.backSign = backSign;
	}
	@ExcelField(title="实际开票单位", align=2, sort=6)
	public String getClientName() {
		return clientName;
	}

	public void setClientName(String clientName) {
		this.clientName = clientName;
	}
	@ExcelField(title="合同编号", align=2, sort=9)
	public String getContractNum() {
		return contractNum;
	}

	public void setContractNum(String contractNum) {
		this.contractNum = contractNum;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	@ExcelField(title="合同名称", align=2, sort=10)
	public String getContractName() {
		return contractName;
	}

	public void setContractName(String contractName) {
		this.contractName = contractName;
	}
}