/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workresignation.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workresignation.entity.WorkResignation;

import java.util.List;

/**
 * 离职申请DAO接口
 * @author rh
 * @version 2018-08-04
 */
@MyBatisDao
public interface WorkResignationDao extends CrudDao<WorkResignation> {
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkResignation workResignation);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkResignation getByProcessInstanceId(String processInstanceId);

    public List<WorkResignation> findLists(WorkResignation workResignation);
}