<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>经济指标管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>经济指标列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="exampleEconomics" action="${ctx}/exampleeconomics/exampleEconomics/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>概况id：</span>
				<form:input path="exampleId" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>项id：</span>
				<form:input path="exampleindicesId" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>指标id：</span>
				<form:input path="indexId" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="exampleeconomics:exampleEconomics:add">
				<table:addRow url="${ctx}/exampleeconomics/exampleEconomics/form" title="经济指标"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="exampleeconomics:exampleEconomics:edit">
			    <table:editRow url="${ctx}/exampleeconomics/exampleEconomics/form" title="经济指标" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="exampleeconomics:exampleEconomics:del">
				<table:delRow url="${ctx}/exampleeconomics/exampleEconomics/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="exampleeconomics:exampleEconomics:import">
				<table:importExcel url="${ctx}/exampleeconomics/exampleEconomics/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="exampleeconomics:exampleEconomics:export">
	       		<table:exportExcel url="${ctx}/exampleeconomics/exampleEconomics/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column exampleId">概况id</th>
				<th  class="sort-column exampleindicesId">项id</th>
				<th  class="sort-column indexId">指标id</th>
				<th  class="sort-column unit">项单位</th>
				<th  class="sort-column digits">位数</th>
				<th  class="sort-column name">主要分项工程</th>
				<th  class="sort-column money">工程造价</th>
				<th  class="sort-column cost">单位造价</th>
				<th  class="sort-column proportion">占造价比例</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="exampleEconomics">
			<tr>
				<td> <input type="checkbox" id="${exampleEconomics.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看经济指标', '${ctx}/exampleeconomics/exampleEconomics/form?id=${exampleEconomics.id}','800px', '500px')">
					${exampleEconomics.remarks}
				</a></td>
				<td>
					${exampleEconomics.exampleId}
				</td>
				<td>
					${exampleEconomics.exampleindicesId}
				</td>
				<td>
					${exampleEconomics.indexId}
				</td>
				<td>
					${exampleEconomics.unit}
				</td>
				<td>
					${exampleEconomics.digits}
				</td>
				<td>
					${exampleEconomics.name}
				</td>
				<td>
					${exampleEconomics.money}
				</td>
				<td>
					${exampleEconomics.cost}
				</td>
				<td>
					${exampleEconomics.proportion}
				</td>
				<td>
					<shiro:hasPermission name="exampleeconomics:exampleEconomics:view">
						<a href="#" onclick="openDialogView('查看经济指标', '${ctx}/exampleeconomics/exampleEconomics/form?id=${exampleEconomics.id}','800px', '500px')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="exampleeconomics:exampleEconomics:edit">
    					<a href="#" onclick="openDialog('修改经济指标', '${ctx}/exampleeconomics/exampleEconomics/form?id=${exampleEconomics.id}','800px', '500px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="exampleeconomics:exampleEconomics:del">
						<a href="${ctx}/exampleeconomics/exampleEconomics/delete?id=${exampleEconomics.id}" onclick="return confirmx('确认要删除该经济指标吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>