<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>人员基本信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp('slow');
                    $(this).text("更多").removeClass("fa fa-chevron-up").addClass("fa fa-chevron-down");
                    //document.getElementById("moresees").style.visibility = "hidden";
                }else{
                    $('#moresees').slideDown('slow');
                    $(this).text("收起").removeClass("fa fa-chevron-down").addClass("fa fa-chevron-up");
                    //document.getElementById("moresees").style.visibility = "visible";
                }
            });
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>人员基本信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="userInfo" action="${ctx}/hr/userInfo/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>姓名：</span>
			<form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>性别：</span>
			<form:select path="gender" class="form-control m-b">
				<form:option label="" value="" />
				<form:options items="${fns:getDictList('sex')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<span>电话：</span>
			<form:input path="mobilePhone" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>身份证号：</span>
			<form:input path="idCard" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<br>

		</div>
		<div style="display:none;margin-top: 15px" id="moresees">
			<span>部门：</span>
			<sys:treeselect id="office" name="officeId" value="${userInfo.office.id}" labelName="office.name" labelValue="${userInfo.office.name}"
							title="部门" url="/sys/office/treeData?type=2" cssClass=" form-control input-sm" allowClear="true" />
		</div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
<%--
			<shiro:hasPermission name="hr:userInfo:add">
				<table:addRow url="${ctx}/hr/userInfo/form" title="人员基本信息"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="hr:userInfo:edit">
			    <table:editRow url="${ctx}/hr/userInfo/form" title="人员基本信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="hr:userInfo:del">
				<table:delRow url="${ctx}/hr/userInfo/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="hr:userInfo:import">
				<table:importExcel url="${ctx}/hr/userInfo/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="hr:userInfo:export">
	       		<table:exportExcel url="${ctx}/hr/userInfo/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
--%>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;"> 序号 </th>
				<th style="text-align: center;"  class="sort-column name">姓名</th>
				<th style="text-align: center;"  class="sort-column gender">性别</th>
				<th style="text-align: center;"  class="sort-column mobilePhone">联系电话</th>
				<th style="text-align: center;"  class="sort-column officeId">部门</th>
				<th style="text-align: center;"  class="sort-column workstartDate">报到日期</th>
				<th style="text-align: center;">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="userInfo" varStatus="userInfoStatus">
			<tr>
				<td>
					${userInfoStatus.index + 1}
				</td>
				<td>
					<c:if test="${empty userInfo.name}">
						${userInfo.user.name}
					</c:if>
					<c:if test="${not empty userInfo.name}">
						${userInfo.name}
					</c:if>
				</td>
				<td>
					<c:if test="${empty userInfo.gender}">
						${fns:getDictLabel(userInfo.user.sex, 'sex', '')}
					</c:if>
					<c:if test="${!empty userInfo.gender}">
						${fns:getDictLabel(userInfo.gender, 'sex', '')}
					</c:if>
				</td>
				<td>
					<c:if test="${empty userInfo.mobilePhone}">
						${userInfo.user.mobile}
					</c:if>
					<c:if test="${!empty userInfo.mobilePhone}">
						${userInfo.mobilePhone}
					</c:if>
				</td>
				<td>
					${userInfo.office.name}
				</td>
				<td>
					<fmt:formatDate value="${userInfo.workstartDate}" pattern="yyyy-MM-dd"/>
				</td>
				<td>
					<div style="text-align: center">
					<shiro:hasPermission name="hr:userInfo:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看人员基本信息', '${ctx}/hr/userInfo/form?dialog=view&id=${userInfo.id}&userOfficeId=${userInfo.userOffice.id}&userId=${userInfo.userOffice.userId}&companyId=${userInfo.userOffice.companyId}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="hr:userInfo:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改人员基本信息', '${ctx}/hr/userInfo/form?dialog=edit&id=${userInfo.id}&userOfficeId=${userInfo.userOffice.id}&userId=${userInfo.userOffice.userId}&companyId=${userInfo.userOffice.companyId}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
					</div>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>