<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>人员基本信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>人员基本信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="userInfo" action="${ctx}/hr/userInfo/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>姓名：</span>
			<form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>性别：</span>
			<form:select path="gender" class="form-control m-b">
				<form:option label="" value="" />
				<form:options items="${fns:getDictList('sex')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<span>电话：</span>
			<form:input path="mobilePhone" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<br>
			<span>部门：</span>
			<sys:treeselect id="office" name="officeId" value="${userInfo.office.id}" labelName="office.name" labelValue="${userInfo.office.name}"
				title="部门" url="/sys/office/treeData?type=2" cssClass=" form-control input-sm" allowClear="true" />

		</div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;"> 序号 </th>
				<th style="text-align: center;"  class="sort-column name">姓名</th>
				<th style="text-align: center;"  class="sort-column gender">性别</th>
				<th style="text-align: center;"  class="sort-column mobilePhone">联系电话</th>
				<th style="text-align: center;"  class="sort-column officeId">部门</th>
				<th style="text-align: center;"  class="sort-column workstartDate">报到日期</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="userInfo" varStatus="userInfoStatus">
			<tr>
				<td>
					${userInfoStatus.index + 1}
				</td>
				<td>
					<c:if test="${empty userInfo.name}">
						${userInfo.user.name}
					</c:if>
					<c:if test="${not empty userInfo.name}">
						${userInfo.name}
					</c:if>
				</td>
				<td>
					<c:if test="${empty userInfo.gender}">
						${fns:getDictLabel(userInfo.user.sex, 'sex', '')}
					</c:if>
					<c:if test="${!empty userInfo.gender}">
						${fns:getDictLabel(userInfo.gender, 'sex', '')}
					</c:if>
				</td>
				<td>
					<c:if test="${empty userInfo.mobilePhone}">
						${userInfo.user.mobile}
					</c:if>
					<c:if test="${!empty userInfo.mobilePhone}">
						${userInfo.mobilePhone}
					</c:if>
				</td>
				<td>
					${userInfo.office.name}
				</td>
				<td>
					<fmt:formatDate value="${userInfo.workstartDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>