<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>已审核请假信息管理</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li><a href="${ctx}/oa/leave/list">请假信息</a></li>
					<li><a href="${ctx}/oa/leave/leaveTodoList">待办任务</a></li>
					<li class="active"><a href="${ctx}/oa/leave/leaveHistoricList">已办任务</a></li>
					<shiro:hasPermission name="oa:leave:edit"><li><a href="${ctx}/oa/leave/form?ids=0">请假申请</a></li></shiro:hasPermission>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act" action="${ctx}/oa/leave/leaveHistoricList" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>审批时间：</label>
							<input class="form-control layer-date laydate-icon required" id="beginDate" name="beginDate" readonly="readonly" value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
							　--　
							<input class="form-control layer-date laydate-icon required" id="endDate" name="endDate" readonly="readonly" value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
						</div>
					</form:form>
					<br/>
				</div>
			</div>
			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center;">流程发起人</th>
					<th style="text-align: center;">流程名称</th>
					<th style="text-align: center;">流程版本</th>
					<th style="text-align: center;">开始时间</th>
					<th style="text-align: center;">结束时间</th>
					<th style="text-align: center;">请假天数</th>
					<th style="text-align: center;">请假时长</th>
					<th style="text-align: center;">请假原因</th>
					<th style="text-align: center;">创建时间</th>
				</tr>
				</thead>
				<tbody>
				<c:forEach items="${list}" var="leave">
					<c:set var="task" value="${leave.act.task}" />
					<c:set var="vars" value="${leave.act.vars}" />
					<c:set var="procDef" value="${leave.act.procDef}" />
					<c:set var="status" value="${leave.act.status}" />
					<tr>
						<td>${leave.act.vars.map.applyUserId}</td>
						<td>${procDef.name}</td>
						<td><b title='流程版本号'>V: ${procDef.version}</b></td>
						<td>${leave.startTime}</td>
						<td>${leave.endTime}</td>
						<td>${leave.leaveDays}</td>
						<td>${leave.leaveTime}</td>
						<td><%--${leave.reason}--%>
							<span title="${leave.reason}">${fns:abbr(leave.reason, 30)}</span>
						</td>
						<td><fmt:formatDate value="${leave.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
					</tr>
				</c:forEach>
				</tbody>
			</table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>