<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {

            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
        });

        function reset() {
            $("#searchForm").resetForm();
        }

	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body >
	<div class="wrapper wrapper-content">
		<sys:message content="${message}"/>
		<div class="layui-row">
			<div class="full-width fl">
				<div class="contentShadow layui-row" id="queryDiv">
					<form:form id="searchForm" modelAttribute="ruralProjectRecords" action="${ctx}/ruralProject/ruralProjectRecordUsers/" method="post" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

						<div class="commonQuery">
							<div class="layui-item query athird lw6">
								<label class="layui-form-label">项目编号：</label>
								<div class="layui-input-block with-icon">
									<form:input path="projectId" htmlEscape="false" maxlength="64"  class=" form-control  layui-input"/>
								</div>
							</div>
							<div class="layui-item query athird lw6">
								<label class="layui-form-label">项目名称：</label>
								<div class="layui-input-block">
									<form:input path="projectName" htmlEscape="false" maxlength="64"  class=" form-control  layui-input"/>
								</div>
							</div>
							<div class="layui-item athird">
								<div class="input-group">
									<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
									<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
									<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
								</div>
							</div>
							<div style="    clear:both;"></div>
						</div>
						<div id="moresees" style="clear:both;display:none;">
							<div class="layui-item query athird lw6">
								<label class="layui-form-label">项目负责人：</label>
								<div class="layui-input-block">
									<form:input path="leaderNameStr" htmlEscape="false" maxlength="255"  class=" form-control layui-input"/>
								</div>
							</div>
							<div class="layui-item query athird lw6">
								<label class="layui-form-label">合同名称：</label>
								<div class="layui-input-block">
									<form:input path="workContractInfo.name" htmlEscape="false" maxlength="255"  class=" form-control layui-input"/>
								</div>
							</div>
							<div class="layui-item query athird lw6">
								<label class="layui-form-label">委托方：</label>
								<div class="layui-input-block">
									<form:input path="workContractInfo.client.name" htmlEscape="false" maxlength="255"  class=" form-control layui-input"/>
								</div>
							</div>
							<div style="clear:both;"></div>
						</div>
					</form:form>
				</div>
			</div>
			<div class="full-width fl">
				<div class="contentShadow layui-form contentDetails">
					<div class="nav-btns">
						<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
						<div style="clear: both;"></div>
					</div>
					<table class="oa-table layui-table" id="contentTable1"></table>

					<!-- 分页代码 -->
					<table:page page="${page}"></table:page>
					<div style="clear: both;"></div>
				</div>
			</div>
		</div>
		<div id="changewidth"></div>
	</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable1'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'projId',align:'center', title: '项目编号',width:150,templet:function(d){
                        return "<a class=\"attention-info\" title=\"" + d.projId + "\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看项目', '${ctx}/ruralProject/ruralProjectRecords/view?id=" + d.id + "','95%', '95%')\">" + d.projId + "</a>";
                    }}
                ,{field:'projName',align:'center', title: '项目名称',minWidth:200,templet:function(d){
                        return "<a class=\"attention-info\" title=\"" + d.projName + "\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看项目', '${ctx}/ruralProject/ruralProjectRecords/view?id=" + d.id +"','95%', '95%')\">" + d.projName + "</a>";
                    }}
                ,{field:'contract', align:'center',title: '合同名称',minWidth:200,templet:function(d){
                        return "<span title='"+ d.contract +"'>" + d.contract + "</span>";
                    }}
                ,{field:'projMaster', align:'center',title: '负责人', width:65,templet:function(d){
                        return "<span title='"+ d.projMaster +"'>" + d.projMaster + "</span>";
                    }}
                ,{field:'client',align:'center', title: '委托方',  width:150,templet:function(d){
                        return "<span title='"+ d.client +"'>" + d.client + "</span>";
                    }}
                ,{field:'membercount',align:'center', title: '成员数量',  width:70}
                ,{field:'createDate',align:'center', title: '创建日期',  width:80}
                ,{field:"op",align:'center',title:"操作",width:70,templet:function(d){
                        ////对操作进行初始化
                        var xml="";
                        if(d.signature != undefined && d.signature =="1"){
                            xml += "<a href=\"javascript:void(0)\" onclick=\"openDialogView('项目成员管理', '${ctx}/ruralProject/ruralProjectRecordUsers/form?id=" + d.id +"','95%', '95%')\" class=\"op-btn op-btn-edit\" > 进入</a>";
                        }
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="projectRecords" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${projectRecords.id}"
                    ,"projId":"${projectRecords.projectId}"
                    ,"projName":"<c:out value="${projectRecords.projectName}" escapeXml="true"/>"
                    ,"projMaster":"<c:forEach items="${projectRecords.projectLeaders}" var="leader" varStatus="status"><c:choose><c:when test="${status.last}">${leader.name}</c:when><c:otherwise>${leader.name},</c:otherwise></c:choose></c:forEach>"
                    ,"contract":"<c:out value="${projectRecords.workContractInfo.name}" escapeXml="true"/>"
                    ,"client":"<c:out value="${projectRecords.workContractInfo.client.name}" escapeXml="true"/>"
                    ,"membercount":"${projectRecords.membercount}"
                    ,"createDate":"<fmt:formatDate value="${projectRecords.createDate}" pattern="yyyy-MM-dd"/>"
                    <c:forEach items="${projectRecords.projectLeaders}" var="leader" varStatus="status">
                    <c:if test="${fns:getUser().name == leader.name  }">,"signature":"1"</c:if>
					</c:forEach>

                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable(70);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>