<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>已办任务</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
                <ul class="nav nav-tabs">
					<li><a href="${ctx}/ruralProject/ruralProjectRecords/list">项目登记列表</a></li>
					<li><a href="${ctx}/ruralProject/ruralProjectRecords/toDoList">待办任务</a></li>
					<li class="active"><a href="${ctx}/ruralProject/ruralProjectRecords/queryCompleteList">已办任务</a></li>
					<li><a href="${ctx}/ruralProject/ruralProjectRecordsAlter/list">项目变更列表</a></li>
                </ul>
			</h5>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act" action="${ctx}/ruralProject/ruralProjectRecords/queryCompleteList" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>创建时间：</label>
							<input class="form-control layer-date laydate-icon" id="beginDate" name="beginDate" value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
							　--　
							<input class="form-control layer-date laydate-icon" id="endDate" name="endDate" value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
						</div>
					</form:form>
					<br/>
				</div>
			</div>
			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
            <table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
                <thead>
                <tr>
                    <th style="text-align: left;">流程发起人</th>
                    <th style="text-align: left;">当前环节</th>
                    <th style="text-align: left;">流程名称</th>
                    <th style="text-align: left;">流程版本</th>
					<th style="text-align: left;"  class="sort-column contractNum">项目编号</th>
					<th style="text-align: left;"  class="sort-column name" >项目名称</th>
					<th  class="sort-column u.name">项目负责人</th>
					<th  class="sort-column wci.name">合同名称</th>
					<th  class="sort-column wct.name">委托方</th>
					<th style="text-align: left;"  class="sort-column projectStatus">项目状态</th>
                </tr>
                </thead>
                <tbody>
				<c:choose>
					<c:when test="${not empty list}">
						<c:forEach items="${list}" var="projectRecordsAlter">
							<c:set var="vars" value="${projectRecordsAlter.act.vars}" />
							<c:set var="procDef" value="${projectRecordsAlter.act.procDef}" /><%--
						<c:set var="procExecUrl" value="${act.procExecUrl}" /> --%>
							<c:set var="status" value="${projectRecordsAlter.act.status}" />
							<tr>
								<td>${projectRecordsAlter.createBy.name}</td>
								<td>
										${projectRecordsAlter.act.histTask.name}
								</td>
									<%--<td>${task.description}</td>--%>
								<td>${procDef.name}</td>
								<td><b title='流程版本号'>V: ${procDef.revision}</b></td>
								<td><a  href="#" onclick="openDialogView('查看项目', '${ctx}/ruralProject/ruralProjectRecords/view?id=${projectRecordsAlter.id}','80%', '80%')">
										${projectRecordsAlter.projectId}
								</a>
								</td>
								<td>
									<a  href="#" onclick="openDialogView('查看项目', '${ctx}/ruralProject/ruralProjectRecords/view?id=${projectRecordsAlter.id}','80%', '80%')">
											${projectRecordsAlter.projectName}
									</a>
								</td>
								<td class="max-width-100">
									<c:forEach items="${projectRecordsAlter.projectLeaders}" var="leader" varStatus="status">
										<c:choose>
											<c:when test="${status.last}">${leader.name}</c:when>
											<c:otherwise>${leader.name},</c:otherwise>
										</c:choose>
									</c:forEach>
								</td>
								<td>
										${projectRecordsAlter.workContractInfo.name}
								</td>
									<%--<td>
                                            ${workContractInfo.chargeCompanyName}
                                    </td>--%>
								<td>
										${projectRecordsAlter.workContractInfo.client.name}
								</td>
								<td>
										${fns:getDictLabel(projectRecordsAlter.projectStatus, 'audit_state', '')}
								</td>
							</tr>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<tr>
							<td colspan="13" align="center">
								暂无数据
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
                </tbody>
            </table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>