<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>合同评价信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
			
		});
	</script>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="workcontractreview" action="${ctx}/workcontractreview/workcontractreview/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<sys:message content="${message}"/>	
		<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
					<td class="width-35">
						<form:textarea path="remarks" htmlEscape="false" rows="4"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="pull-right">合同id：</label></td>
					<td class="width-35">
						<form:input path="contractId" htmlEscape="false"    class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">时间要求：</label></td>
					<td class="width-35">
						<form:input path="timeRequirements" htmlEscape="false"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="pull-right">特殊要求：</label></td>
					<td class="width-35">
						<form:input path="specialRequirements" htmlEscape="false"    class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">客户要求是否合法：</label></td>
					<td class="width-35">
						<form:select path="isLegitimate" class="form-control ">
							<form:option value="1" label="是"/>
							<form:option value="0" label="否"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class="pull-right">客户诚信度的初步判断：</label></td>
					<td class="width-35">
						<form:select path="credibility" class="form-control ">
							<form:option value="1" label="低"/>
							<form:option value="0" label="高"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">风险初步评价：</label></td>
					<td class="width-35">
						<form:select path="preliminaryRiskAssessmen" class="form-control ">
							<form:option value="1" label="低"/>
							<form:option value="0" label="高"/>
							<form:option value="2" label="中"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class="pull-right">被服务对象所处行业环境：</label></td>
					<td class="width-35">
						<form:select path="serviceObjectIndustry" class="form-control ">
							<form:option value="1" label="正常"/>
							<form:option value="0" label="不正常"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">与服务有关的客户资料能否恰当获取：</label></td>
					<td class="width-35">
						<form:select path="isProperAcquisition" class="form-control ">
							<form:option value="1" label="是"/>
							<form:option value="0" label="否"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class="pull-right">人员是否能专业胜任：</label></td>
					<td class="width-35">
						<form:select path="isUserQualified" class="form-control ">
							<form:option value="1" label="是"/>
							<form:option value="0" label="否"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">是否需要借助外部专家力量：</label></td>
					<td class="width-35">
						<form:select path="isExternalExpertPower" class="form-control ">
							<form:option value="1" label="需要"/>
							<form:option value="0" label="不需要"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class="pull-right">设备能否满足项目要求：</label></td>
					<td class="width-35">
						<form:select path="isEquipmentMeetRequirements" class="form-control ">
							<form:option value="1" label="是"/>
							<form:option value="0" label="否"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">时间能否满足客户需求：</label></td>
					<td class="width-35">
						<form:select path="isTimeMeetRequirements" class="form-control ">
							<form:option value="1" label="是"/>
							<form:option value="0" label="否"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class="pull-right">合同是否可以签定：</label></td>
					<td class="width-35">
						<form:select path="isContractSignature" class="form-control ">
							<form:option value="1" label="是"/>
							<form:option value="0" label="否"/>
						</form:select>
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>