<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目归档已办</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
                <ul class="nav nav-tabs">
                    <li><a href="${ctx}/workfullmanage/workFullRecord/queryToList">待办任务</a></li>
                    <li class="active"><a href="${ctx}/workfullmanage/workFullRecord/queryCompleteList">已办任务</a></li>
                    <li><a href="${ctx}/workfullmanage/workFullRecord/list">项目归档</a></li>
                </ul>
			</h5>
			<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act" action="${ctx}/workfullmanage/workFullRecord/queryCompleteList" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>创建时间：</label>
							<input class="form-control layer-date laydate-icon" id="beginDate" name="beginDate" value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
							　--　
							<input class="form-control layer-date laydate-icon" id="endDate" name="endDate" value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
						</div>
					</form:form>
					<br/>
				</div>
			</div>
			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
            <table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
                <thead>
                <tr>
					<th>流程发起人</th>
					<th>当前环节</th>
					<th>流程名称</th>
					<th>流程版本</th>
					<%--<th>案卷名称</th>--%>
					<%--<th>案卷编号</th>--%>
					<%--<th>归档号</th>--%>
					<%--<th>所属卷库</th>--%>
					<%--<th>案卷密级</th>--%>
					<th>开始日期</th>
					<th>结束日期</th>
					<%--<th>保管期限</th>--%>
					<%--<th>保险箱号</th>--%>
					<%--<th>档案管理员</th>--%>
                </tr>
                </thead>
                <tbody>
				<c:choose>
					<c:when test="${not empty list}">
						<c:forEach items="${list}" var="workfullrecord">
							<c:set var="task" value="${workfullrecord.act.histTask}" />
							<c:set var="vars" value="${workfullrecord.act.vars}" />
							<c:set var="procDef" value="${workfullrecord.act.procDef}" /><%--
						<c:set var="procExecUrl" value="${act.procExecUrl}" /> --%>
							<c:set var="status" value="${workfullrecord.act.status}" />
							<tr>
								<td>${workfullrecord.createBy.name}</td>
								<td>
									${task.name}
								</td>
									<%--<td>${task.description}</td>--%>
								<td>${procDef.name}</td>
								<td><b title='流程版本号'>V: ${procDef.revision}</b></td>
								<%--<td>${workfullrecord.recordName}</td>--%>
								<%--<td>${workfullrecord.recordNumber}</td>--%>
								<%--<td>${workfullrecord.backRecordNumber}</td>--%>
								<%--<td>${workfullrecord.recordLibNumber}</td>--%>
								<%--<td>${fns:getDictLabel(workfullrecord.recordSecretLevel, 'record_secret_level', '')}</td>--%>
								<td><fmt:formatDate value="${task.startTime}" pattern="yyyy-MM-dd HH:mm:ss" /></td>
								<td><fmt:formatDate value="${task.endTime}" pattern="yyyy-MM-dd HH:mm:ss" /></td>
								<%--<td>${workfullrecord.retentionPeriod}</td>--%>
								<%--<td>${workfullrecord.strongboxNumber}</td>--%>
								<%--<td>${workfullrecord.manageUser}</td>--%>
							</tr>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<tr>
							<td colspan="6" align="center">暂无数据</td>
						</tr>
					</c:otherwise>
				</c:choose>
                </tbody>
            </table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>