<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>交接单管理</title>
    <meta name="decorator" content="default"/>
</head>
<body>
<div class="single-form">
    <div class="container">
        <div class="form-group layui-row first">
            <div class="form-group-label"><h2>交接单</h2></div>
            <div class="layui-item layui-col-sm6">
                <label class="layui-form-label"><span class="require-item">*</span>接收人：</label>
                <div class="layui-input-block with-icon">
                    <sys:treeselect id="billRecUser" name="workHandBill.billRecUser.id" disabled="disabled"
                                    value="${workHandBill.billRecUser.id}"
                                    labelName="workHandBill.billRecUser.name"
                                    labelValue="${workHandBill.billRecUser.name}"
                                    title="用户" url="/sys/office/treeData?type=3"
                                    cssClass="form-control required layui-input" allowClear="true"
                                    notAllowSelectParent="true"/>
                </div>
            </div>
            <div class="layui-item layui-col-sm6">
                <label class="layui-form-label"><span class="require-item">*</span>送达人：</label>
                <div class="layui-input-block with-icon">
                    <sys:treeselect id="billSendUser" name="workHandBill.billSendUser.id" disabled="disabled"
                                    value="${workHandBill.billSendUser.id}" labelName="workHandBill.billSendUser.name"
                                    labelValue="${workHandBill.billSendUser.name}"
                                    title="用户" url="/sys/office/treeData?type=3"
                                    cssClass="form-control required layui-input" allowClear="true"
                                    notAllowSelectParent="true"/>
                </div>
            </div>
            <div class="layui-item layui-col-sm6">
                <label class="layui-form-label"><span class="require-item">*</span>交接时间：</label>
                <div class="layui-input-block with-icon">
                    <input id="billHandTime" name="workHandBill.billHandTime" readonly="true" disabled="disabled"
                           maxlength="20"
                           class="laydate-icondate form-control layer-date required layui-input laydate-icon"
                           value="<fmt:formatDate value="${workHandBill.billHandTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
                </div>
            </div>
        </div>
        <table class="table table-bordered table-condensed no-bottom-margin details">
            <thead>
            <tr>
                <th><font color="red">*</font>序号</th>
                <th><font color="red">*</font>资料名称</th>
                <th><font color="red">*</font>有无</th>
                <th><font color="red">*</font>份数或页数</th>
                <th>备注</th>
            </tr>
            </thead>
            <tbody>
            <c:if test="${not empty workHandBill.workHandBillDetailList}">
                <c:forEach items="${workHandBill.workHandBillDetailList}" var="workHandBill" varStatus="index">
                    <tr id="workHandBillDetailList${index.index}">
                        <td>
                                ${workHandBill.materialNumber}
                        </td>

                        <td>
                                ${workHandBill.materialName}
                        </td>
                        <td>
                                ${workHandBill.materialFlag}
                        </td>
                        <td>
                                ${workHandBill.materialPages}
                        </td>
                        <td>
                                ${workHandBill.remarks}
                        </td>
                    </tr>
                </c:forEach>
            </c:if>
            </tbody>
        </table>
    </div>
</div>
</body>
</html>