<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目预审管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
	        laydate({
	            elem: '#beginAuditTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
	            event: 'focus' //响应事件。如果没有传入event，则按照默认的click
	        });
	        laydate({
	            elem: '#endAuditTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
	            event: 'focus' //响应事件。如果没有传入event，则按照默认的click
	        });
					
		
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>项目预审列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workItemPre" action="${ctx}/workitempre/workItemPre/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>项目名称：</span>
				<form:input path="name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目类型：</span>
				<form:select path="itemType"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getDictList('item_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
			<span>招标人：</span>
				<form:input path="tenderee" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>资审时间：</span>
				<input id="beginAuditTime" name="beginAuditTime" type="text" maxlength="20" class="laydate-icon form-control layer-date input-sm"
					value="<fmt:formatDate value="${workItemPre.beginAuditTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/> - 
				<input id="endAuditTime" name="endAuditTime" type="text" maxlength="20" class="laydate-icon form-control layer-date input-sm"
					value="<fmt:formatDate value="${workItemPre.endAuditTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workitempre:workItemPre:add">
				<table:addRow url="${ctx}/workitempre/workItemPre/form" title="项目预审"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitempre:workItemPre:edit">
			    <table:editRow url="${ctx}/workitempre/workItemPre/form" title="项目预审" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitempre:workItemPre:del">
				<table:delRow url="${ctx}/workitempre/workItemPre/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitempre:workItemPre:import">
				<table:importExcel url="${ctx}/workitempre/workItemPre/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitempre:workItemPre:export">
	       		<table:exportExcel url="${ctx}/workitempre/workItemPre/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column name">项目名称</th>
				<th  class="sort-column inquiryNum">资格预审编号</th>
				<th  class="sort-column tenderee">招标人</th>
				<th  class="sort-column linkman">联系人</th>
				<th  class="sort-column auditTime">资审时间</th>
				<th  class="sort-column isCooperation">是否对外协作</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workItemPre">
			<tr>
				<td> <input type="checkbox" id="${workItemPre.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看项目预审', '${ctx}/workitempre/workItemPre/form?id=${workItemPre.id}','80%','80%')">
					${workItemPre.name}
				</a></td>
				<td>
					${workItemPre.inquiryNum}
				</td>
				<td>
					${workItemPre.tenderee}
				</td>
				<td>
					${workItemPre.linkman}
				</td>
				<td>
					<fmt:formatDate value="${workItemPre.auditTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
				<td>
					${fns:getDictLabel(workItemPre.isCooperation, 'is_cooperation', '')}
				</td>
				<td>
					<shiro:hasPermission name="workitempre:workItemPre:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看项目预审', '${ctx}/workitempre/workItemPre/form?id=${workItemPre.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workitempre:workItemPre:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改项目预审', '${ctx}/workitempre/workItemPre/form?id=${workItemPre.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workitempre:workItemPre:del">
						<a href="${ctx}/workitempre/workItemPre/delete?id=${workItemPre.id}" onclick="return confirmx('确认要删除该项目预审吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>