<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>会议用户信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>会议用户信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workmeetinguser" action="${ctx}/workmeeting/workmeetinguser/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workmeeting:workmeetinguser:add">
				<table:addRow url="${ctx}/workmeeting/workmeetinguser/form" title="会议用户信息"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workmeeting:workmeetinguser:edit">
			    <table:editRow url="${ctx}/workmeeting/workmeetinguser/form" title="会议用户信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workmeeting:workmeetinguser:del">
				<table:delRow url="${ctx}/workmeeting/workmeetinguser/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workmeeting:workmeetinguser:import">
				<table:importExcel url="${ctx}/workmeeting/workmeetinguser/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workmeeting:workmeetinguser:export">
	       		<table:exportExcel url="${ctx}/workmeeting/workmeetinguser/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column type">用户类型 （0：发起者；1：加入者）</th>
				<th  class="sort-column user">用户id</th>
				<th  class="sort-column meeting_id">会议id</th>
				<th  class="sort-column status">用户状态（1：开会中；2：拒绝；3：退出；4;结束）</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workmeetinguser">
			<tr>
				<td> <input type="checkbox" id="${workmeetinguser.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看会议用户信息', '${ctx}/workmeeting/workmeetinguser/form?id=${workmeetinguser.id}','80%','80%')">
					${workmeetinguser.remarks}
				</a></td>
				<td>
					${workmeetinguser.type}
				</td>
				<td>
					${workmeetinguser.user}
				</td>
				<td>
					${workmeetinguser.meeting_id}
				</td>
				<td>
					${workmeetinguser.status}
				</td>
				<td>
					<shiro:hasPermission name="workmeeting:workmeetinguser:view">
						<a href="#" onclick="openDialogView('查看会议用户信息', '${ctx}/workmeeting/workmeetinguser/form?id=${workmeetinguser.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workmeeting:workmeetinguser:edit">
    					<a href="#" onclick="openDialog('修改会议用户信息', '${ctx}/workmeeting/workmeetinguser/form?id=${workmeetinguser.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workmeeting:workmeetinguser:del">
						<a href="${ctx}/workmeeting/workmeetinguser/delete?id=${workmeetinguser.id}" onclick="return confirmx('确认要删除该会议用户信息吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>