<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程计算量底稿管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>工程计算量底稿列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workProjectCalcDecor" action="${ctx}/workprojectcalc/workProjectCalcDecor/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:add">
				<table:addRow url="${ctx}/workprojectcalc/workProjectCalcDecor/form" title="工程计算量底稿"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:edit">
			    <table:editRow url="${ctx}/workprojectcalc/workProjectCalcDecor/form" title="工程计算量底稿" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:del">
				<table:delRow url="${ctx}/workprojectcalc/workProjectCalcDecor/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:import">
				<table:importExcel url="${ctx}/workprojectcalc/workProjectCalcDecor/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:export">
	       		<table:exportExcel url="${ctx}/workprojectcalc/workProjectCalcDecor/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>

			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column decorNumber">序号</th>
				<th  class="sort-column decorCode">清单编码/定额编码</th>
				<th  class="sort-column projectName">项目名称</th>
				<th  class="sort-column decorUnit">计量单位</th>
				<th  class="sort-column decorMode">计算式</th>
				<th  class="sort-column decorSize">工程量</th>
				<th  class="sort-column decorOther">其他</th>
				<th  class="sort-column decorOrigin">工程量来源</th>
				<th  class="sort-column projectId">项目编号</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workProjectCalcDecor">
			<tr>
				<td> <input type="checkbox" id="${workProjectCalcDecor.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看工程计算量底稿', '${ctx}/workprojectcalc/workProjectCalcDecor/form?id=${workProjectCalcDecor.id}','800px', '500px')">
					${workProjectCalcDecor.remarks}
				</a></td>
				<td>
					${workProjectCalcDecor.decorNumber}
				</td>
				<td>
					${workProjectCalcDecor.decorCode}
				</td>
				<td>
					${workProjectCalcDecor.projectName}
				</td>
				<td>
					${workProjectCalcDecor.decorUnit}
				</td>
				<td>
					${workProjectCalcDecor.decorMode}
				</td>
				<td>
					${workProjectCalcDecor.decorSize}
				</td>
				<td>
					${workProjectCalcDecor.decorOther}
				</td>
				<td>
					${workProjectCalcDecor.decorOrigin}
				</td>
				<td>
					${workProjectCalcDecor.projectId}
				</td>
				<td>
					<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:view">
						<a href="#" onclick="openDialogView('查看工程计算量底稿', '${ctx}/workprojectcalc/workProjectCalcDecor/form?id=${workProjectCalcDecor.id}','800px', '500px')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:edit">
    					<a href="#" onclick="openDialog('修改工程计算量底稿', '${ctx}/workprojectcalc/workProjectCalcDecor/form?id=${workProjectCalcDecor.id}','800px', '500px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workprojectcalc:workProjectCalcDecor:del">
						<a href="${ctx}/workprojectcalc/workProjectCalcDecor/delete?id=${workProjectCalcDecor.id}" onclick="return confirmx('确认要删除该工程计算量底稿吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>

		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>