<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>收入统计</title>
    <meta name="decorator" content="default"/>


    <style>
        .widthClass{
            display: inline-block;
        }
        .shows .input-group{
            width: 48%!important;
        }
    </style>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
</head>
<body>
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="contentShadow layui-row" id="queryDiv">
                <form:form id="searchForm" modelAttribute="workReceiptsRegisterInfo" action="${ctx}/workreceiptsregister/workReceiptsRegister/infolist" method="post" class="form-inline">
                    <%--以下三行照抄--%>
                    <form:hidden path="companyId"/>
                    <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                    <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                    <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                    <div class="commonQuery">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">部门：</label>
                            <div class="layui-input-block with-icon">
                                <sys:treeselect id="officeId" name="office.id" value="${workReceiptsRegisterInfo.office.id}" labelName="office.name" labelValue="${workReceiptsRegisterInfo.office.name}"
                                                title="部门" url="/sys/office/treeDataAll?type=2" cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="true"/>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">登记日期：</label>
                            <div class="layui-input-block">
                                <input id="receiptDate" name="receiptDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon"
                                       value="${workReceiptsRegisterInfo.receiptDate}"/>
                                </input>
                            </div>
                        </div>
                        <div class="layui-item athird">
                            <div class="input-group">
                                <a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
                                <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                                <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                            </div>
                        </div>
                        <div style="    clear:both;"></div>
                    </div>
                </form:form>
            </div>
        </div>

        <div class="full-width fl">
            <div class="contentShadow layui-form contentDetails">
                <div class="nav-btns">
                    <shiro:hasPermission name="workreceiptsregister:workReceiptsRegister:countExport">
                        <table:exportExcel url="${ctx}/workreceiptsregister/workReceiptsRegister/exportInfo"></table:exportExcel><!-- 导出按钮 -->
                    </shiro:hasPermission>
                    <c:choose>
                        <c:when test="${not empty backState}">
                            <a class="nav-btn nav-btn-refresh" onClick="javascript :history.back(-1);"  data-toggle="tooltip" data-placement="left" title="返回"><i class="glyphicon glyphicon-repeat"></i>&nbsp;返回</a>
                        </c:when>
                    </c:choose>
                    <div style="clear: both;"></div>
                </div>
                <table class="oa-table layui-table" id="contentTable"></table>

                <!-- 分页代码 -->
                <table:page page="${page}"></table:page>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
             limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'number',align:'center', title: '发票号码', templet:function(d){
                        return "<span title='"+ d.number +"'>" + d.number + "</span>";
                    }},
                {field:'projectName',align:'center', title: '对方户名',templet:function(d){
                        return "<span title='"+ d.clientName +"'>" + d.clientName + "</span>";
                    }}
                ,{field:'submitterName',align:'center', title: '到账日期',templet:function(d){
                        return "<span title='"+ d.arrivalDate +"'>" + d.arrivalDate + "</span>";
                    }}
                ,{field:'money',align:'center', title: '登记金额', templet:function(d){
                        return "<span title='"+ d.money +"'>" + d.money + "</span>";
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workReceiptsRegisterInfo" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "number":"${workReceiptsRegisterInfo.invoiceNum}"
                    ,"clientName":"${workReceiptsRegisterInfo.clientName}"
                    ,"arrivalDate":<c:choose>
                        <c:when test="${workReceiptsRegisterInfo.arrivalDate == null}">"-"</c:when>
                        <c:otherwise>"<fmt:formatDate value="${workReceiptsRegisterInfo.arrivalDate}" pattern="yyyy-MM-dd"/>"</c:otherwise>
                        </c:choose>
                    ,"money":"<fmt:formatNumber value="${workReceiptsRegisterInfo.receiptAmt}" pattern="#,#00.00"/>"
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#cus_name").show();
        $("#cus_name").siblings().hide();
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

        laydate.render({
            elem: '#receiptDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'focus', //响应事件。如果没有传入event，则按照默认的click
            type : 'date',
            format:'yyyy'
        });
    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }


</script>
</body>
</html>
