<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>还款管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>还款列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workRepay" action="${ctx}/workrepay/workRepay/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workrepay:workRepay:add">
				<table:addRow url="${ctx}/workrepay/workRepay/form" title="还款"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workrepay:workRepay:edit">
			    <table:editRow url="${ctx}/workrepay/workRepay/form" title="还款" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workrepay:workRepay:del">
				<table:delRow url="${ctx}/workrepay/workRepay/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workrepay:workRepay:import">
				<table:importExcel url="${ctx}/workrepay/workRepay/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workrepay:workRepay:export">
	       		<table:exportExcel url="${ctx}/workrepay/workRepay/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column processInstanceId">流程号</th>
				<th  class="sort-column officeId">部门</th>
				<th  class="sort-column companyId">公司</th>
				<th  class="sort-column status">状态</th>
				<th  class="sort-column workLoan">借款</th>
				<th  class="sort-column repayDate">还款日期</th>
				<th  class="sort-column money">还款金额</th>
				<th  class="sort-column repayState">还款状态</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workRepay">
			<tr>
				<td> <input type="checkbox" id="${workRepay.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看还款', '${ctx}/workrepay/workRepay/form?id=${workRepay.id}','800px', '500px')">
					${workRepay.remarks}
				</a></td>
				<td>
					${workRepay.processInstanceId}
				</td>
				<td>
					${workRepay.officeId}
				</td>
				<td>
					${workRepay.companyId}
				</td>
				<td>
					${workRepay.status}
				</td>
				<td>
					${workRepay.workLoan}
				</td>
				<td>
					<fmt:formatDate value="${workRepay.repayDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
				<td>
					${workRepay.money}
				</td>
				<td>
					${workRepay.repayState}
				</td>
				<td>
					<shiro:hasPermission name="workrepay:workRepay:view">
						<a href="#" onclick="openDialogView('查看还款', '${ctx}/workrepay/workRepay/form?id=${workRepay.id}','800px', '500px')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workrepay:workRepay:edit">
    					<a href="#" onclick="openDialog('修改还款', '${ctx}/workrepay/workRepay/form?id=${workRepay.id}','800px', '500px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workrepay:workRepay:del">
						<a href="${ctx}/workrepay/workRepay/delete?id=${workRepay.id}" onclick="return confirmx('确认要删除该还款吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>