<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>供应商管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
            jQuery.validator.addMethod("isUscCode", function(value, element) {
                if (this.optional(element)){
                    return true;
                }
                var uscCode = /^((\w{15})|(\w{18})|(\w{20}))$/;
                return uscCode.test(value);
            }, "请填写正确的统一社会信用代码");
            var ids = $("#id").val();
			validateForm = $("#inputForm").validate({
                rules: {
                    uscCode: {remote: "${ctx}/worksupplier/workSupplier/validateUscCode?ids="+ids},
                },
                messages: {
                    uscCode:{remote: "该统一社会信用代码已经被使用!", required: "统一社会信用代码不能为空."},
                },
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });
		});
        window.onload = function(){
            var oInput = document.getElementById("uscCode");
            //oInput.focus();
        }
        function insertTitle(tValue){
            var files = $("#attachment_file")[0].files;            for(var i = 0;i<files.length;i++) {                var file = files[i];
            var attachmentId = "";
            var attachmentFlag = "101";
            console.log(file);
            var timestamp=new Date().getTime();

            var storeAs = "attachment-file/workSupplier/"+timestamp+"/"+file['name'];
            var uploadPath="http://gangwan-app.oss-cn-hangzhou.aliyuncs.com/"+storeAs;/*将这段字符串存到数据库即可*/
            var divId = "_attachment";
            $("#addFile"+divId).show();
            multipartUploadWithSts(storeAs, file,attachmentId,attachmentFlag,uploadPath,divId,0);}
        }
	</script>
</head>
<body>
<div class="single-form">
	<div class="container">
		<form:form id="inputForm" modelAttribute="workSupplier" action="${ctx}/worksupplier/workSupplier/save" method="post" class="form-horizontal">
			<form:hidden id="id" path="id"/>
			<form:hidden path="removeSign"/>
			<div class="form-group layui-row first lw8">
				<div class="form-group-label"><h2>基础信息</h2></div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>供应商名称：</label>
					<div class="layui-input-block">
						<form:input id="name" path="name" htmlEscape="false" class="form-control required layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7 companyType_uscCode">
					<label class="layui-form-label double-line"><span class="require-item">*</span>统一社会信用代码：</label>
					<div class="layui-input-block">
						<form:input id="uscCode" path="uscCode" htmlEscape="false"  minlength="18" maxlength="18" class="form-control isUscCode required layui-input"/>
						<%--<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${workSupplier.uscCode}"/>--%>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">公司地址：</label>
					<div class="layui-input-block">
						<form:input id="address" path="address" htmlEscape="false" maxlength="60" class="form-control  layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">邮政编码：</label>
					<div class="layui-input-block">
						<form:input id="zipCode" path="zipCode" htmlEscape="false" minlength="6" maxlength="6" class="form-control  number layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">法人代表：</label>
					<div class="layui-input-block">
						<form:input id="deputy" path="deputy" htmlEscape="false" class="form-control  layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">传真：</label>
					<div class="layui-input-block">
						<form:input id="fax" path="fax" htmlEscape="false" class="form-control  layui-input isTel"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">公司网站：</label>
					<div class="layui-input-block">
						<form:input id="website" path="website" htmlEscape="false" class="form-control  layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">公司注册地址：</label>
					<div class="layui-input-block">
						<form:input id="registAddress" path="registAddress" htmlEscape="false" class="form-control  layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">公司注册电话：</label>
					<div class="layui-input-block">
						<form:input id="registPhone" path="registPhone" htmlEscape="false" class="form-control  layui-input isTel"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">开户银行：</label>
					<div class="layui-input-block">
						<form:input id="bank" path="bank" htmlEscape="false" class="form-control  layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label">开户账号：</label>
					<div class="layui-input-block">
						<form:input id="bankNumber" path="bankNumber" htmlEscape="false" minlength="16" maxlength="19" class="form-control  layui-input number"/>
					</div>
				</div>
				<%--<div class="layui-item layui-col-sm12  with-textarea">
					<label class="layui-form-label">说明：</label>
					<div class="layui-input-block">
						<form:textarea path="instruction" htmlEscape="false" rows="4"    class="form-control "/>
					</div>
				</div>--%>
			</div>
			<div class="form-group layui-row first lw8">
				<div class="form-group-label"><h2>联系人详情</h2></div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>联系人姓名：</label>
					<div class="layui-input-block">
						<form:input id="linkName" path="linkName" htmlEscape="false" class="form-control required layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">QQ号码：</label>
					<div class="layui-input-block">
						<form:input id="qq" path="qq" htmlEscape="false" class="form-control number layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">联系人座机：</label>
					<div class="layui-input-block">
						<form:input id="linkPhone" path="linkPhone" htmlEscape="false" class="form-control  layui-input isTel"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">联系人手机：</label>
					<div class="layui-input-block">
						<form:input id="linkMobile" path="linkMobile" htmlEscape="false" class="form-control layui-input isPhone"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">电子邮箱：</label>
					<div class="layui-input-block">
						<form:input id="email" path="email" htmlEscape="false" class="form-control  layui-input email"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>移除标记：</label>
					<div class="layui-input-block">
						<input htmlEscape="false" readonly="true" class="form-control layui-input" value="${fns:getDictLabel(workSupplier.removeSign, 'remove_sign','')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12  with-textarea">
					<label class="layui-form-label">备注：</label>
					<div class="layui-input-block">
						<form:textarea path="remarks" htmlEscape="false" rows="4"    maxlength="255" class="form-control "/>
					</div>
				</div>
			</div>

			<div class="form-group layui-row">
				<div class="form-group-label"><h2>附件信息</h2></div>
				<div class="layui-item nav-btns">
					<a id="attachment_btn" class="nav-btn nav-btn-add" title="添加附件"><i class="fa fa-plus"></i>&nbsp;添加附件</a>
				</div>
				<div id="addFile_attachment" style="display: none" class="upload-progress">
					<span id="fileName_attachment" ></span>
					<b><span id="baifenbi_attachment" ></span></b>
					<div class="progress">
						<div id="jindutiao_attachment" class="progress-bar" style="width: 0%" aria-valuenow="0">
						</div>
					</div>
				</div>
				<input id="attachment_file" type="file" name="attachment_file" multiple="multiple" style="display: none;" onChange="if(this.value)insertTitle(this.value);"/>
				<span id="attachment_title"></span>
				<div class="layui-item layui-col-xs12" style="padding:0 16px;">
					<table id="upTable" class="table table-bordered table-condensed details">
						<thead>
						<tr>
								<%-- <th>序号</th>--%>
							<th>文件预览</th>
							<th>上传人</th>
							<th>上传时间</th>
							<th width="150px">操作</th>
						</tr>
						</thead>
						<tbody id="file_attachment">
						<c:forEach items="${workSupplier.workAttachments}" var = "workClientAttachment" varStatus="status">
							<tr>
									<%-- <td>${status.index + 1}</td>--%>
								<c:choose>
									<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
										<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
									</c:when>
									<c:otherwise>
										<c:choose>
											<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
												<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
											</c:when>
											<c:otherwise>
												<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
											</c:otherwise>
										</c:choose>
									</c:otherwise>
								</c:choose>
								<td>${workClientAttachment.createBy.name}</td>
								<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
								<td class="op-td">
									<div class="op-btn-box" >
										<a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>

										<c:if test="${workClientAttachment.createBy.id eq fns:getUser().id}">
											<a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/sys/workattachment/deleteFileFromAliyun?url=${workClientAttachment.url}&id=${workClientAttachment.id}&type=2','addFile')" class="op-btn op-btn-delete" ><i class="fa fa-trash"></i>&nbsp;删除</a>
										</c:if>
									</div>
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
			<div class="form-group layui-row page-end"></div>
		</form:form>
	</div>
</div>
</body>
</html>